package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskCheckQuarterEntity;
import com.ruoyi.web.v3.model.request.HbRiskCheckQuarterPageReq;

/**
 * <p>
 * v3.0 隐患风险点检记录（季度） 服务类
 * </p>
 */
public interface IHbRiskCheckQuarterService extends IService<HbRiskCheckQuarterEntity> {

    AjaxResult add(HbRiskCheckQuarterEntity request);

    AjaxResult edit(HbRiskCheckQuarterEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbRiskCheckQuarterPageReq request);

    AjaxResult listAll();
}
